# Generated from top_grossing_movies-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name top_grossing_movies

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: CLI for displaying info about the top grossing movies of all time (as of 2018)
License: MIT
URL: https://github.com/DakotaLMartinez/top_grossing_movies
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(gem-release)
BuildArch: noarch

%description
Scrapes a newsday website:
https://www.newsday.com/entertainment/movies/the-biggest-box-office-hits-of-all-time-1.5369007
and provides a CLI for viewing the top 25 top grossing movies of all time and
details about each.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/top_grossing_movies
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/top_grossing_movies.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.0-1
- Initial package
